The Wiert Corner – irregular stream of stuff

Jeroen W. Pluimers on .NET, C#, Delphi, databases, and personal interests

  • My badges

  • Twitter Updates

  • My Flickr Stream

  • Pages

  • All categories

  • Enter your email address to subscribe to this blog and receive notifications of new posts by email.

    Join 1,761 other followers

What you need on your Mac to develop for OS X or iOS using Delphi XE2

Posted by jpluimers on 2012/05/29

Just a few notes on things I told Delphi cross development students over the last nine months or so.

For Mac OS X apps:

  • The Platform Assistant Server that ships with Delphi XE2

For iOS apps:

Steps:

  1. Become a registered Apple Developer
  2. Download and install xCode 4 when you run on OS X 10.7 Lion or higher, or
    Download and install xCode 3 when you run on OS X 10.6 Leopard
  3. Download and install FreePascal 2.4.4
xCode includes the iOS SDK
Delphi uses the Delphi compatibility mode of FreePascal.

–jeroen

via: Developer Tools Overview – Apple Developer.

One Response to “What you need on your Mac to develop for OS X or iOS using Delphi XE2”

  1. IL said

    If something went wrong on install Firemonkey for iOS have a look at this https://forums.embarcadero.com/thread.jspa?threadID=72097 Embarcadero forum Firemonkey thread.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s

This site uses Akismet to reduce spam. Learn how your comment data is processed.

 
%d bloggers like this: